
Redmine - Feature #3546

"Related issues" should be tracked in Ticket History

2009-06-26 10:44 - Tobias Roeser

Status: Closed Start date: 2009-06-26

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Changes in ticket relations should be tracked in the ticket history.

Benefits:

(obviously) one can track any change in ticket relations

watchers and ticket owners will be notified, when ticket relations change

(nice to have, maybe another ticket) one gets notified when blockers were closed

Related issues:

Is duplicate of Redmine - Feature #1005: Add the addition/removal/change of r... Closed 2008-04-07

History

#1 - 2009-07-08 08:35 - Tobias Roeser

- Assignee set to Jean-Philippe Lang

#2 - 2010-03-09 10:49 - Paulo Santos

+1

#3 - 2010-03-21 17:15 - Manmathan Kumar

We really miss getting email notification when related (blocked by, follows) issues change status to closed.

Any time frame for implementing this?

#4 - 2010-09-16 14:49 - Alain V.

This is important. To be able to track when you (de)relate an issue.

#5 - 2010-09-16 14:51 - Alain V.

I guess same ticket than #1005

#6 - 2010-11-09 16:39 - Tobias Roeser

I'm willing to create a patch that adds this feature. Can someone give me a hint where to start. E.g. which file or function to look first. I'm new to

Redmine/Ruby development, btw.

#7 - 2010-11-09 19:11 - Jean-Philippe Lang

Deleting an issue attachment is logged in the history.

So you may want to look at Issue#attachment_removed: source:/trunk/app/models/issue.rb@4263#L771

This is a callback and it's called because of :after_remove => :attachment_removed option on the attachments association.

#8 - 2010-11-09 19:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

BTW, I close this ticket as a dup of #1005 that was open before.
